Bug 234109 - [GPU Process] [Filters] Move FEImage to the 'platform' directory
Summary: [GPU Process] [Filters] Move FEImage to the 'platform' directory
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on:
Blocks: 231253
  Show dependency treegraph
 
Reported: 2021-12-09 15:45 PST by Said Abou-Hallawa
Modified: 2022-01-24 01:00 PST (History)
18 users (show)

See Also:


Attachments
Patch (37.37 KB, patch)
2022-01-22 23:40 PST, Said Abou-Hallawa
darin: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (70.64 KB, patch)
2022-01-23 23:05 PST, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2021-12-09 15:45:37 PST
But we need to replace SVGPreserveAspectRatioValue by non-SVG specific object first.
Comment 1 Radar WebKit Bug Importer 2021-12-16 18:41:51 PST
<rdar://problem/86608573>
Comment 2 Said Abou-Hallawa 2022-01-22 23:40:29 PST
Created attachment 449745 [details]
Patch
Comment 3 Darin Adler 2022-01-23 10:59:48 PST
Comment on attachment 449745 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=449745&action=review

> Source/WebCore/platform/graphics/filters/software/FEImageSoftwareApplier.h:34
> +class FEImageSoftwareApplier : public FilterEffectConcreteApplier<FEImage> {

final?

> Source/WebCore/platform/graphics/filters/software/FEImageSoftwareApplier.h:41
> +    bool apply(const Filter&, const FilterImageVector& inputs, FilterImage& result) const override;

private? final?
Comment 4 Said Abou-Hallawa 2022-01-23 23:05:06 PST
Created attachment 449783 [details]
Patch
Comment 5 Said Abou-Hallawa 2022-01-23 23:06:51 PST
Comment on attachment 449745 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=449745&action=review

>> Source/WebCore/platform/graphics/filters/software/FEImageSoftwareApplier.h:34
>> +class FEImageSoftwareApplier : public FilterEffectConcreteApplier<FEImage> {
> 
> final?

Yes it can be. Fixed for all the filter applier concrete classes.

>> Source/WebCore/platform/graphics/filters/software/FEImageSoftwareApplier.h:41
>> +    bool apply(const Filter&, const FilterImageVector& inputs, FilterImage& result) const override;
> 
> private? final?

Yes it can be. Fixed for all the filter applier concrete classes.
Comment 6 EWS 2022-01-24 00:59:55 PST
Committed r288432 (246321@main): <https://commits.webkit.org/246321@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 449783 [details].